# The "ic" Package

These routines are meant to provide a simple mechanism to generate standard icon bitmaps in X pixmap format.

Library: karmaX11
Link With: -lkarmaX11

#### Functions

ic_write_kplot_icon | Write the icon pixmap required for the kplot module.
ic_write_kscat_icon | Write the icon pixmap required for the kscat module.
ic_write_funcgen_icon | Write the icon pixmap required for the kfuncgen module.
ic_write_kimage_icon | Write the icon pixmap required for the kview module.
ic_write_karma_cm_icon | Write the icon pixmap required for the karma_cm module.
ic_write_datasource_icon | Write the icon pixmap required for generic data source modules.
ic_write_datasink_icon | Write the icon pixmap required for generic data sink modules.
ic_write_datafilter_icon | Write the icon pixmap required for generic data filter modules.

## Functions

void ic_write_kplot_icon (Display *display, Pixmap pixmap, int width, int height)

Write the icon pixmap required for the kplot module.

Parameters:

- display : The X display.
- pixmap : The pixmap to write to.
- width : The width of the icon.
- height : The height of the icon.

Returns: Nothing.
Multithreading Level: Unsafe

void ic_write_kscat_icon (Display *display, Pixmap pixmap, int width, int height)

Write the icon pixmap required for the kscat module.

Parameters:

- display : The X display.
- pixmap : The pixmap to write to.
- width : The width of the icon.
- height : The height of the icon.

Returns: Nothing.
Multithreading Level: Unsafe

void ic_write_funcgen_icon (Display *display, Pixmap pixmap, int width, int height)

Write the icon pixmap required for the kfuncgen module.

Parameters:

- display : The X display.
- pixmap : The pixmap to write to.
- width : The width of the icon.
- height : The height of the icon.

Returns: Nothing.
Multithreading Level: Unsafe

void ic_write_kimage_icon (Display *display, Pixmap pixmap, int width, int height)

Write the icon pixmap required for the kview module.

Parameters:

- display : The X display.
- pixmap : The pixmap to write to.
- width : The width of the icon.
- height : The height of the icon.

Returns: Nothing.
Multithreading Level: Unsafe

void ic_write_karma_cm_icon (Display *display, Pixmap pixmap, int width, int height)

Write the icon pixmap required for the karma_cm module.

Parameters:

- display : The X display.
- pixmap : The pixmap to write to.
- width : The width of the icon.
- height : The height of the icon.

Returns: Nothing.
Multithreading Level: Unsafe

void ic_write_datasource_icon (Display *display, Pixmap pixmap, int width, int height)

Write the icon pixmap required for generic data source modules.

Parameters:

- display : The X display.
- pixmap : The pixmap to write to.
- width : The width of the icon.
- height : The height of the icon.

Returns: Nothing.
Multithreading Level: Unsafe

void ic_write_datasink_icon (Display *display, Pixmap pixmap, int width, int height)

Write the icon pixmap required for generic data sink modules.

Parameters:

- display : The X display.
- pixmap : The pixmap to write to.
- width : The width of the icon.
- height : The height of the icon.

Returns: Nothing.
Multithreading Level: Unsafe

void ic_write_datafilter_icon (Display *display, Pixmap pixmap, int width, int height)

Write the icon pixmap required for generic data filter modules.

Parameters:

- display : The X display.
- pixmap : The pixmap to write to.
- width : The width of the icon.
- height : The height of the icon.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page